Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.mdc
Class Line

    java.lang.Object
      org.kemet.mdc.Identification
          org.kemet.mdc.Line

All Implemented Interfaces:
  java.io.Serializable

    public class Line

extends Identification

Since:
  0.1
Author:
  fabricemaupin

  location : definition of line composed of cadrats.

See Also:
  Serialized Form

Constructor Summary
`Line()` instantiate the line.

Method Summary
`static void` | `clear()` clear the instance list.
`static Line` | `get(int index)` return the line from index.
`java.util.Vector` | `getCadratList()` return the cadrat list.
`void` | `setCadratList(java.util.Vector cadratList)` fix the cadrat list.
`static int` | `size()` return size of the instance list.

Methods inherited from class org.kemet.mdc.Identification
`getId, setId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Line

    public Line()

  instantiate the line.

  Since:
    0.1

Method Detail

### clear

    public static void clear()

  clear the instance list.

  Since:
    0.1

### size

    public static int size()

  return size of the instance list.

  Returns:
    size
  Since:
    0.1

### setCadratList

    public void setCadratList(java.util.Vector cadratList)

  fix the cadrat list.

  Parameters:
    `cadratList` - cadrat list to fix
  Since:
    0.1

### getCadratList

    public java.util.Vector getCadratList()

  return the cadrat list.

  Returns:
    cadrat list
  Since:
    0.1

### get

    public static Line get(int index)

  return the line from index.

  Parameters:
    `index` - line index
  Returns:
    line
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.